package com.ningdatech.pmapi.expert.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author liuxinxin
 * @date 2022/7/25 下午1:50
 */
@Data
@ApiModel(value = "ExpertEduInfo", description = "学历信息")
public class ExpertEduInfo {

    /**
     * 毕业院校
     */
    @NotBlank
    @ApiModelProperty("毕业院校")
    private String school;

    /**
     * 毕业时间
     */
    @NotNull
    @ApiModelProperty("毕业时间")
    private LocalDateTime graduatedAt;

    /**
     * 所学专业
     */
    @NotBlank
    @ApiModelProperty("所学专业")
    private String academicTitle;

    /**
     * 学历(字典code)
     */
    @NotNull
    @ApiModelProperty("学历(字典code)")
    private List<DictionaryFieldInfo> edu;

    /**
     * 毕业证附件信息
     */
    @ApiModelProperty("毕业证附件信息")
    private List<FileBasicInfo> graduationCertificateFile;

    /**
     * 学位(字典code)
     */
    @NotNull
    @ApiModelProperty("学位(字典code)")
    private List<DictionaryFieldInfo> degree;

    /**
     * 学位证附件信息
     */
    @ApiModelProperty("学位证附件信息")
    private List<FileBasicInfo> degreeCertificateFile;
}
