package com.ningdatech.pmapi.expert.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author liuxinxin
 * @date 2022/7/25 下午2:07
 */
@Data
@ApiModel(description = "专业信息")
public class ExpertProfessionalInfo {

    @NotBlank
    @ApiModelProperty(value = "技术职称")
    private String technicalTitles;

    @NotNull
    @ApiModelProperty(value = "职称级别")
    private List<DictionaryFieldInfo> titleLevel;

    @ApiModelProperty(value = "职称证明")
    private List<FileBasicInfo> titleCertificateFile;

    @NotNull
    @ApiModelProperty(value = "擅长方向(标签code)")
    private List<TagFieldInfo> goodAt;

    @NotNull
    @ApiModelProperty(value = "技术专长(标签code)")
    private List<TagFieldInfo> technicalExpertise;

    @NotBlank
    @ApiModelProperty(value = " 获奖情况")
    private String awards;

    @NotNull
    @ApiModelProperty(value = "行业领域(标签code)")
    private List<TagFieldInfo> industrySector;

    @NotBlank
    @ApiModelProperty(value = "表彰奖励")
    private String recognitionReward;

    @ApiModelProperty(value = "回避单位列表")
    private List<ExpertAvoidCompanyInfo> avoidCompanyList;

    @ApiModelProperty(value = "其他标签")
    private List<TagFieldInfo> other;

}
